Package org.apache.tapestry5.services

# Class PageRenderRequestParameters

java.lang.Object
org.apache.tapestry5.services.PageRenderRequestParameters

public class PageRenderRequestParameters extends Object
Used with `PageRenderRequestHandler` and `PageRenderRequestFilter` to define the logical page name and activation context for the request.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageRenderRequestParameters(String logicalPageName, EventContext activationContext)`
  Deprecated.
  Use `PageRenderRequestParameters(String, EventContext, boolean)`.
  `PageRenderRequestParameters(String logicalPageName, EventContext activationContext, boolean loopback)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `EventContext`
  `getActivationContext()`
  `String`
  `getLogicalPageName()`
  Returns a canonicalized version of the page name.
  `boolean`
  `isLoopback()`
  Is this request a loopback (a request for the same page that rendered it in the first place)?
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PageRenderRequestParameters

    public PageRenderRequestParameters(String logicalPageName, EventContext activationContext)
    Deprecated.
    Use `PageRenderRequestParameters(String, EventContext, boolean)`.

  - ### PageRenderRequestParameters

    public PageRenderRequestParameters(String logicalPageName, EventContext activationContext, boolean loopback)
    Since:
      5.2.0

- ## Method Details

  - ### getLogicalPageName

    public String getLogicalPageName()
    Returns a canonicalized version of the page name.

  - ### getActivationContext

    public EventContext getActivationContext()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### isLoopback

    public boolean isLoopback()
    Is this request a loopback (a request for the same page that rendered it in the first place)?
    Since:
      5.2.0
    See Also:
      - `TapestryConstants.PAGE_LOOPBACK_PARAMETER_NAME`
      - `PageResetListener`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`